@keyframes slideAndFade {
    0% {
        opacity: 0;
        transform: translateX(-20px) translateY(-5px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

body {
    display: flex;
    justify-content: center;
}

.top {
    display: flex;
    justify-content: space-between;
    margin: 20px 10px;
}

.speech-bubble {
    display: flex;
    margin-left: 3px;
}

.speech-bubble a {
    background-color: #E8E8E8;
    border-radius: 5px;
    padding: 3px 5px;
    font-family: "S-Core Dream", sans-serif;
    font-size: 10px !important;
    font-weight: 500 !important;
    color: #181818 !important;
}

.top img {
    height: 30px;
}

.top-location {
    display: flex;
    cursor: pointer;
    padding: 4px 10px;
    align-items: center;
}

.top-location span {
    font-size: 20px;
    color: #181818;
}

.top-location a {
    font-size: 20px;
    font-weight: 700;
    color: #181818;
    margin-left: 5px;
}

.top-menu {
    padding: 4px 10px;
}

.top-menu span {
    font-size: 20px;
    color: #181818;
    margin: 0 8px;
}

.top-login-button {
    display: flex;
}

.top-login-button span {
    font-size: 15px;
    color: #FFFFFF;
    margin: 0 5px 0 0;
}

.top-login-button a {
    display: flex;
    background-color: #0a2a58;
    color: #FFFFFF;
    font-size: 12px;
    font-weight: 600;
    padding: 4px 10px;
    border-radius: 10px;
}

.welcome-msg {
    display: flex;
    flex-direction: column;
    margin: 20px;
}

.welcome-msg a {
    font-size: 23px;
    font-weight: 700;
}

.cost-saving-msg {
    display: flex;
    margin-top: 5px;
}

.cost-saving-msg a {
    font-size: 16px;
    font-weight: 500;
}

.ai-health-check {
    display: flex;
    flex-direction: column;
    padding: 0 5px;
    margin: 0 20px 10px 15px;
}

.ai-health-check-link, .ai-health-check-info {
    display: flex;
    align-items: center;
    font-size: 15px;
}

.ai-health-check-link a {
    font-weight: 600;
}

.ai-health-check-link span {
    font-size: 15px;
    margin-left: 5px;
}

.ai-health-check-info a {
    font-weight: 400;
    font-size: 12px;
}

.card-stack {
    margin: 10px 10px;
}

.card {
    display: flex;
    flex-direction: column;
    margin: 0 5px;
    background-color: #f0f0f0;
    border-radius: 10px;
    flex: 2;
    height: 100px;
    padding: 20px 0 0 20px;
    overflow: hidden;
    -webkit-box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
    -moz-box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
    box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
}

.card:hover {
    cursor: pointer;
    background-color: #e5e5e5;
    transition: 0.3s;
}

.card-content {
    display: flex;
}

.card-left {
    flex: 1;
    display: flex;
    justify-content: start;
    flex-direction: column;
}

.card-right {
    flex: 1;
    display: flex;
    justify-content: flex-end;
}

.card-contents-img {
    margin-right: 15px;
    width: 80px;
}

.card-right img {
    width: 80px;
}

.card-title {
    display: flex;
    flex-direction: column;
    width: 190px;
}

.card-title a {
    font-size: 16px;
    font-weight: 800;
}

.card-value {
    display: flex;
    flex-direction: column;
    margin: 10px 0 0 2px;
}

.card-value a {
    font-size: 13px;
    font-weight: 400;
    margin: 0;
    padding: 0;
}

.card-value-line {
    display: flex;
}

.card-value-ad a {
    font-size: 13px;
    font-weight: 200;
    color: white;
}

.card-title-ad a {
    font-size: 20px;
    font-weight: 700;
    color: white;
}


.ad-img {
    display: flex;
    justify-content: end;
}

.ad-img img {
    margin: -55px 0 0 0;
    height: 75px;
}

.rehab-suggestion {
    margin: 20px 0 10px 20px;
    font-size: 18px;
    font-weight: 800;
}

.button-stack {
    display: flex;
    justify-content: space-between;
    margin: 0 10px;
}

.button-group {
    flex: 2;
    margin: 5px;
}

.button-contents {
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    padding: 15px;
    position: relative;
}

.button-title a {
    font-size: 18px;
    font-weight: 700;
}

.button-sub-title {
    margin: 5px 0 0 0;
}

.button-sub-title a {
    font-size: 12px;
    font-weight: 300;
}

.button-img {
    position: absolute;
    bottom: 15px;
    right: 15px;
    opacity: 0;
    animation: slideAndFade 1s ease forwards;
}

.button-img img {
    height: 100px;
}

.main-function {
    display: flex;
    flex: 2;
    background-color: #0E1D32;
    height: 180px;
    transition: 0.3s;
    -webkit-box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
    -moz-box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
    box-shadow: 0px 0px 1px 0px rgba(195, 195, 195, 1);
}

.main-function:hover {
    cursor: pointer;
    background-color: #164180;
    transition: 0.3s;
}

.main-function a {
    color: #FFFFFF;
}

.main-function.alternative {
    background-color: #F0F1F2;
}

.main-function.alternative:hover {
    background-color: #e5e5e5;
}

.main-function.alternative a {
    color: #181818;
}

.ad {
    background-color: #2C2C2C;
    margin-top: 10px;
    height: 40px;
    padding: 20px;
    border-radius: 0;
}

.ad:hover {
    background-color: #2C2C2C;
}


#gauge {
    width: 140px;
    height: 110px;
    margin: 0 15px 0 0;
}

.chart-wrapper {
    margin: 20px 15px;
}

.chart {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px 20px;
    border-radius: 10px;
    background-color: #f0f0f0;
}

.chart canvas {
    margin-top: 20px;
}

.chart a {
    color: #165f9d;
    font-weight: 600;
    font-size: 16px;
    background-color: #b6dbff;
    border: #50A1E7 1px solid;
    border-radius: 5px;
    padding: 3px 8px;
}

